| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Protected Member Functions
Tp::PendingString Class Reference
Utililty classes

The PendingString class is a generic subclass of PendingOperation representing a pending D-Bus method call that returns a string. More...

`#include <TelepathyQt/PendingString>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- PendingString (QDBusPendingCall call, const SharedPtr< RefCounted > &object)
- ~PendingString ()
- QString result () const

## Protected Member Functions

- void setResult (const QString &result)

## Detailed Description

The PendingString class is a generic subclass of PendingOperation representing a pending D-Bus method call that returns a string.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingString::PendingString | ( | QDBusPendingCall | call,
|  | const SharedPtr< RefCounted > & | object
| ) |  |

Tp::PendingString::~PendingString | ( |  | ) |

Class destructor.

## Member Function Documentation

QString Tp::PendingString::result | ( |  | ) | const

void Tp::PendingString::setResult | ( | const QString & | result | ) | `[protected]`